org.springframework.batch.sample.domain.trade

## Class CustomerCredit

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.CustomerCredit

-     @Entity
      public class CustomerCredit
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomerCredit()`
    `CustomerCredit(int id, java.lang.String name, java.math.BigDecimal credit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.math.BigDecimal` | `getCredit()`
    `int` | `getId()`
    `java.lang.String` | `getName()`
    `int` | `hashCode()`
    `CustomerCredit` | `increaseCreditBy(java.math.BigDecimal sum)`
    `void` | `setCredit(java.math.BigDecimal credit)`
    `void` | `setId(int id)`
    `void` | `setName(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomerCredit

          public CustomerCredit()

    - #### CustomerCredit

          public CustomerCredit(int id,
                                java.lang.String name,
                                java.math.BigDecimal credit)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCredit

          public java.math.BigDecimal getCredit()

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### setCredit

          public void setCredit(java.math.BigDecimal credit)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### increaseCreditBy

          public CustomerCredit increaseCreditBy(java.math.BigDecimal sum)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`